.container {
  display: block;
  max-width: 1280px;
  width: 100%;
  margin: 0 auto;
  padding: 0 16px;
}

.blog__list {
  padding-bottom: 80px;
}

@media (min-width: 744px) {
  .blog__list {
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    gap: 24px;
    padding-bottom: 100px;
  }
}

@media (min-width: 1261px) {
  .blog__list {
    padding-bottom: 120px;
  }
}

.blog__item {
  display: block;
  width: 100%;
  margin-bottom: 24px;
  border-radius: 20px;
  overflow: hidden;
  padding: 20px;
  background-image: -webkit-linear-gradient(215.48deg, rgba(231, 231, 231, 0.7) 1.7%, rgba(248, 248, 248, 0.5) 116.87%);
  background-image: -o-linear-gradient(215.48deg, rgba(231, 231, 231, 0.7) 1.7%, rgba(248, 248, 248, 0.5) 116.87%);
  background-image: linear-gradient(234.52deg, rgba(231, 231, 231, 0.7) 1.7%, rgba(248, 248, 248, 0.5) 116.87%);
}

.blog__item:last-child {
  margin-bottom: 0;
}

.blog__item.blog__item--grey {
  background-image: -webkit-linear-gradient(215.48deg, rgba(231, 231, 231, 0.7) 1.7%, rgba(248, 248, 248, 0.5) 116.87%);
  background-image: -o-linear-gradient(215.48deg, rgba(231, 231, 231, 0.7) 1.7%, rgba(248, 248, 248, 0.5) 116.87%);
  background-image: linear-gradient(234.52deg, rgba(231, 231, 231, 0.7) 1.7%, rgba(248, 248, 248, 0.5) 116.87%);
}

.blog__item.blog__item--green {
  background-image: -webkit-linear-gradient(353.21deg, rgba(0, 194, 142, 0.14) -6.98%, rgba(0, 194, 142, 0.049) 85.78%);
  background-image: -o-linear-gradient(353.21deg, rgba(0, 194, 142, 0.14) -6.98%, rgba(0, 194, 142, 0.049) 85.78%);
  background-image: linear-gradient(96.79deg, rgba(0, 194, 142, 0.14) -6.98%, rgba(0, 194, 142, 0.049) 85.78%);
}

.blog__item.blog__item--orange {
  background-image: -webkit-linear-gradient(282.32deg, rgba(255, 90, 0, 0.12) 3.8%, rgba(255, 255, 255, 0.1) 108.92%);
  background-image: -o-linear-gradient(282.32deg, rgba(255, 90, 0, 0.12) 3.8%, rgba(255, 255, 255, 0.1) 108.92%);
  background-image: linear-gradient(167.68deg, rgba(255, 90, 0, 0.12) 3.8%, rgba(255, 255, 255, 0.1) 108.92%);
}

@media (min-width: 744px) {
  .blog__item {
    margin: 0;
    padding: 24px;
    width: -webkit-calc(50% - 12px);
    width: calc(50% - 12px);
  }
}

@media (min-width: 1261px) {
  .blog__item {
    padding: 32px;
    width: -webkit-calc(57.3% - 12px);
    width: calc(57.3% - 12px);
  }
  .blog__item:nth-child(2), .blog__item:nth-child(3), .blog__item:nth-child(6), .blog__item:nth-child(7), .blog__item:nth-child(10), .blog__item:nth-child(11), .blog__item:nth-child(14), .blog__item:nth-child(15), .blog__item:nth-child(18), .blog__item:nth-child(19) {
    width: -webkit-calc(42.7% - 12px);
    width: calc(42.7% - 12px);
  }
}

.blog__item-img-wr {
  overflow: hidden;
  margin-bottom: 16px;
  border-radius: 16px;
}

@media (min-width: 744px) {
  .blog__item-img-wr {
    margin-bottom: 20px;
  }
}

@media (min-width: 1261px) {
  .blog__item-img-wr {
    margin-bottom: 24px;
  }
}

.blog__item-img {
  height: 167px;
  -o-object-fit: cover;
  object-fit: cover;
  -webkit-transition: .3s transform linear;
  -o-transition: .3s transform linear;
  transition: .3s transform linear;
}

@media (min-width: 744px) {
  .blog__item-img {
    height: 155px;
  }
}

@media (min-width: 1261px) {
  .blog__item-img {
    height: 335px;
  }
  .blog__item:hover .blog__item-img {
    -webkit-transform: scale(1.1);
    -ms-transform: scale(1.1);
    -o-transform: scale(1.1);
    transform: scale(1.1);
  }
}

.blog__item-info {
  gap: 0 32px;
  margin-bottom: 16px;
}

@media (min-width: 744px) {
  .blog__item-info {
    margin-bottom: 20px;
  }
}

@media (min-width: 1261px) {
  .blog__item-info {
    margin-bottom: 24px;
  }
}

.blog__item-info-el {
  gap: 0 8px;
  font-size: 14px;
  line-height: 20px;
  color: var(--mid-700);
}

@media (min-width: 744px) {
  .blog__item-info-el {
    font-size: 16px;
    line-height: 28px;
  }
}

@media (min-width: 1261px) {
  .blog__item-info-el {
    font-size: 18px;
    line-height: 28px;
  }
}

.blog__item-info-icon {
  width: 24px;
  height: 24px;
}

.blog__item-text {
  margin-top: 8px;
  font-size: 14px;
  line-height: 24px;
  color: var(--darkest);
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

@media (max-width: 1023px) {
  .blog__item-text {
    -webkit-line-clamp: 3;
  }
}

@media (max-width: 743px) {
  .blog__item-text {
    -webkit-line-clamp: 3;
  }
}

@media (min-width: 744px) {
  .blog__item-text {
    margin-top: 16px;
    font-size: 16px;
    line-height: 28px;
  }
}

.blog__banner {
  padding: 72px 54px;
  text-align: center;
  background: url("/wp-content/themes/cryptonix/images/single-post/post-banner-bg_mob.webp") no-repeat 50% 50%;
  background-size: cover;
  border-radius: 20px;
  overflow: hidden;
  margin-bottom: 64px;
}

@media (min-width: 744px) {
  .blog__banner {
    padding: 67px 15px;
    background-image: url("/wp-content/themes/cryptonix/images/single-post/post-banner-bg.webp");
  }
}

@media (min-width: 1261px) {
  .blog__banner {
    padding: 77px 15px;
    margin-bottom: 80px;
  }
}

.blog__banner-wr {
  max-width: 684px;
}

@media (min-width: 744px) and (max-width: 1260px) {
  .blog__banner-title {
    font-size: 48px;
    line-height: 56px;
  }
}

.blog__banner-subtitle {
  margin-top: 16px;
  font-size: 14px;
  line-height: 20px;
  color: var(--mid-700);
}

@media (min-width: 744px) {
  .blog__banner-subtitle {
    font-size: 16px;
    line-height: 28px;
    margin-top: 24px;
  }
}
